bugGNU Octave - Bugs: bug #51510, [octave forge] (ocs) install fails...

 
 

bug #51510: [octave forge] (ocs) install fails in dev octave

Submitter:  John Donoghue <lostbard>
Submitted:  Wed 19 Jul 2017 06:59:03 PM UTC
 
Category:  Octave Forge Package Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Installation Failure
Status:  Patch Submitted Assigned to:  None
Originator Name:  JohnD Open/Closed:  * Open
Release:  * 4.4.0 Operating System:  * Any
* Mandatory Fields

Add a New Comment (Rich Markup)
   

Comment Type & Canned Response:
       

 

( Jump to the original submission )

Thu 03 Jan 2019 09:34:50 PM UTC, comment #12: 

Any chance on a new release for octave 5?

John Donoghue <lostbard>
Project Member
Fri 29 Jun 2018 09:18:47 PM UTC, comment #11: 

Okay, I won't worry about this then.  The Octave Maintainers are getting ready to do a 4.4.1 bug fix release and I thought I might be able to fx this quickly before then, but I will have to let someone else address this.

Rik <rik5>
Project Administrator
Fri 29 Jun 2018 08:48:13 PM UTC, comment #10: 

yes, here's the thread:

http://octave.1599824.n4.nabble.com/Homepage-repository-for-external-packages-tp4688203p4688230.html

both ocs and odepkg moved their main development repository away from octave forge.

Anonymous
Fri 29 Jun 2018 07:48:49 PM UTC, comment #9: 

There was a question about where OSC was back at the start of the month:
http://lists.gnu.org/archive/html/octave-maintainers/2018-06/msg00000.html

John Donoghue <lostbard>
Project Member
Fri 29 Jun 2018 06:02:28 PM UTC, comment #8: 

Just tried to reproduce this.  I downloaded ocs-1.5 from Octave Forge.  When I try to install it, it says that odepkg is required.  Okay, I look for odepkg and can't find it on Octave Forge.  Using

pkg install -forge odepkg

fails as well.

What am I missing?

Rik <rik5>
Project Administrator
Fri 29 Jun 2018 05:38:39 PM UTC, comment #7: 

It still does it in 4.4.0

John Donoghue <lostbard>
Project Member
Fri 29 Jun 2018 05:00:42 PM UTC, comment #6: 

Is this still an issue for Octave 4.4.0?

Rik <rik5>
Project Administrator
Mon 07 May 2018 10:58:38 AM UTC, comment #5: 

@Sebastian, for the "in person" meeting I guess you refer to ECMI 2018 but I'm afraid I won't be there ...
If we want to make the release before SCEE in Taormina probably it's better to organize a skype metting. We can set this up off-list

Carlo de Falco <cdf>
Project Member
Fri 04 May 2018 05:42:10 PM UTC, comment #4: 

Yes, our branch is at https://thalia.gsc.ce.tu-darmstadt.de/schoeps/ocs. I think the break statements are already fixed there.

@Carlo: how do we approach the next release? Shall we meet for a code sprint (physically or virtually)?

Sebastian <sschoeps>
Fri 04 May 2018 03:32:29 PM UTC, comment #3: 

I added Sebastian in CC as he is currently working on OCS more than me.

Sebastian, you had in mind a new release of OCS, does this change also apply to your version?

A good time for a release would be now, would that be possible?

Carlo de Falco <cdf>
Project Member
Fri 04 May 2018 12:51:32 PM UTC, comment #2: 

Patch attached that allows ocs to install by removing breaks.

(file #44090)

John Donoghue <lostbard>
Project Member
Wed 02 May 2018 07:03:47 PM UTC, comment #1: 

repo files do the same

John Donoghue <lostbard>
Project Member
Wed 19 Jul 2017 06:59:03 PM UTC, original submission:  

Using dev 4.3.0+ octave, failure in install of ocs:

parse error near line 75 of file C:\Octave\OCTAVE~1.0_\share\octave\packages\ocs-0.1.5\sbn\Mcapacitors.m

  break must appear in a loop in the same file as loop command

>>>       break
              ^

error: called from
    doc_cache_create>create_cache at line 109 column 18
    gen_doc_cache_in_dir>@<anonymous> at line 143 column 16
    doc_cache_create>gen_doc_cache_in_dir at line 144 column 9
    doc_cache_create at line 55 column 12
    install>generate_lookfor_cache at line 800 column 5
    install at line 231 column 7
    pkg at line 394 column 9

There are break statements in a switch statement with the file, that I guess were being ignored in previous versions.

John Donoghue <lostbard>
Project Member

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #44090:  fixswitch.patch added by lostbard (8KiB - application/octet-stream)

 

Depends on the following items: None found

Digest:
   bug dependencies.

 

Carbon-Copy List
  • -email is unavailable- added by jwe (Updated the item)
  • -email is unavailable- added by sschoeps (Posted a comment)
  • -email is unavailable- added by cdf (Posted a comment)
  • -email is unavailable- added by cdf
  • -email is unavailable- added by lostbard (Added maintainer)
  • -email is unavailable- added by lostbard (Submitted the item)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

    Only project members can vote.

     

     

     

     

    Follow 8 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2019-01-03 rik5 Carbon-CopyRemoved 72865 -
    2018-07-12 lostbard Dependencies- bugs #54120 is dependent
    2018-06-29 jwe Summary[octave forge] ocs package fails install in dev octave [octave forge] (ocs) install fails in dev octave
    2018-05-04 cdf Carbon-Copy- Added -email is unavailable-
    2018-05-04 lostbard Attached File- Added fixswitch.patch, #44090
        StatusNone Patch Submitted
    2018-05-02 lostbard Releasedev 4.4.0
    2017-12-03 lostbard Carbon-Copy- Added cdf

    Back to the top


    Powered by Savane 3.9